org.wildfly.swarm.config.management.access.syslog_handler

## Class TcpProtocol<T extends TcpProtocol<T>>

- java.lang.Object
- - org.wildfly.swarm.config.management.access.syslog_handler.TcpProtocol<T>

-     public class TcpProtocol<T extends TcpProtocol<T>>
      extends Object

  Configuration to append to syslog over tcp/ip.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TcpProtocol()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `getKey()`
    `String` | `host()` The host of the syslog server for the tcp requests.
    `T` | `host(String value)` The host of the syslog server for the tcp requests.
    `String` | `messageTransfer()` The message transfer setting as described in section 3.4 of RFC-6587.
    `T` | `messageTransfer(String value)` The message transfer setting as described in section 3.4 of RFC-6587.
    `Integer` | `port()` The port of the syslog server for the tcp requests.
    `T` | `port(Integer value)` The port of the syslog server for the tcp requests.
    `Integer` | `reconnectTimeout()` If a connection drop is detected, the number of seconds to wait before reconnecting.
    `T` | `reconnectTimeout(Integer value)` If a connection drop is detected, the number of seconds to wait before reconnecting.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TcpProtocol

          public TcpProtocol()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### host

          public String host()

      The host of the syslog server for the tcp requests.

    - #### host

          public T host(String value)

      The host of the syslog server for the tcp requests.

    - #### messageTransfer

          public String messageTransfer()

      The message transfer setting as described in section 3.4 of RFC-6587. This can either be OCTET_COUNTING as described in section 3.4.1 of RFC-6587, or NON_TRANSPARENT_FRAMING as described in section 3.4.1 of RFC-6587. See your syslog provider's documentation for what is supported.

    - #### messageTransfer

          public T messageTransfer(String value)

      The message transfer setting as described in section 3.4 of RFC-6587. This can either be OCTET_COUNTING as described in section 3.4.1 of RFC-6587, or NON_TRANSPARENT_FRAMING as described in section 3.4.1 of RFC-6587. See your syslog provider's documentation for what is supported.

    - #### port

          public Integer port()

      The port of the syslog server for the tcp requests.

    - #### port

          public T port(Integer value)

      The port of the syslog server for the tcp requests.

    - #### reconnectTimeout

          public Integer reconnectTimeout()

      If a connection drop is detected, the number of seconds to wait before reconnecting. A negative number means don't reconnect automatically.

    - #### reconnectTimeout

          public T reconnectTimeout(Integer value)

      If a connection drop is detected, the number of seconds to wait before reconnecting. A negative number means don't reconnect automatically.

Copyright © 2018 JBoss by Red Hat. All rights reserved.